> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Play audio to conference participants

> Play audio to all or some participants on a conference call.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/call-control/conferences.yml post /conferences/{id}/actions/play
openapi: 3.1.0
info:
  title: Telnyx Conferences API
  version: 2.0.0
  description: API for Conferences.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /conferences/{id}/actions/play:
    post:
      tags:
        - Conference Commands
      summary: Play audio to conference participants
      description: Play audio to all or some participants on a conference call.
      operationId: PlayConferenceAudio
      parameters:
        - name: id
          description: Uniquely identifies the conference by id or name
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConferencePlayRequest'
      responses:
        '200':
          $ref: '#/components/responses/ConferenceCommandResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '422':
          $ref: '#/components/responses/UnprocessableEntityResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.conferences.actions.play('id');

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.conferences.actions.play(
                id="id",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Conferences.Actions.Play(\n\t\tcontext.TODO(),\n\t\t\"id\",\n\t\ttelnyx.ConferenceActionPlayParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.conferences.actions.ActionPlayParams;
            import com.telnyx.sdk.models.conferences.actions.ActionPlayResponse;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ActionPlayResponse response = client.conferences().actions().play("id");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.conferences.actions.play("id")

            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->conferences->actions->play(
                'id',
                audioURL: 'http://www.example.com/sounds/greeting.wav',
                callControlIDs: ['string'],
                loop: 'infinity',
                mediaName: 'my_media_uploaded_to_media_storage_api',
                region: 'US',
              );

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx conferences:actions play \
              --api-key 'My API Key' \
              --id id
components:
  schemas:
    ConferencePlayRequest:
      type: object
      title: Conference Play Request
      properties:
        audio_url:
          type: string
          example: http://example.com/message.wav
          description: >-
            The URL of a file to be played back in the conference. media_name
            and audio_url cannot be used together in one request.
        media_name:
          type: string
          example: my_media_uploaded_to_media_storage_api
          description: >-
            The media_name of a file to be played back in the conference. The
            media_name must point to a file previously uploaded to
            api.telnyx.com/v2/media by the same user/organization. The file must
            either be a WAV or MP3 file.
        loop:
          $ref: '#/components/schemas/Loopcount'
          description: >-
            The number of times the audio file should be played. If supplied,
            the value must be an integer between 1 and 100, or the special
            string `infinity` for an endless loop.
          example: infinity
          default: 1
        call_control_ids:
          description: >-
            List of call control ids identifying participants the audio file
            should be played to. If not given, the audio file will be played to
            the entire conference.
          type: array
          items:
            type: string
        region:
          $ref: '#/components/schemas/ConferenceRegion'
      example:
        audio_url: http://www.example.com/sounds/greeting.wav
    Loopcount:
      oneOf:
        - type: string
        - type: integer
    ConferenceRegion:
      description: >-
        Region where the conference data is located. Defaults to the region
        defined in user's data locality settings (Europe or US).
      example: US
      type: string
      enum:
        - Australia
        - Europe
        - Middle East
        - US
    ConferenceCommandResult:
      type: object
      title: Conference Command Result
      required:
        - result
      properties:
        result:
          type: string
          example: ok
      example:
        result: ok
    call-control_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/call-control_Error'
    call-control_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          format: integer
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              format: json-pointer
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
  responses:
    ConferenceCommandResponse:
      description: Successful response upon making a conference command.
      content:
        application/json:
          schema:
            type: object
            title: Conference Command Response
            properties:
              data:
                $ref: '#/components/schemas/ConferenceCommandResult'
    UnauthorizedResponse:
      description: >-
        Unauthorized. Authentication failed - the required authentication
        headers were either invalid or not included in the request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-control_Errors'
          example:
            errors:
              - code: '10009'
                title: Authentication failed
                detail: >-
                  The required authentication headers were either invalid or not
                  included in the request.
                meta:
                  url: https://developers.telnyx.com/docs/overview/errors/10009
    NotFoundResponse:
      description: >-
        Resource not found. The requested resource does not exist. Common causes
        include: invalid call_control_id, conference not found, audio file not
        found, or recording not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-control_Errors'
          examples:
            resource_not_found:
              summary: Generic resource not found
              value:
                errors:
                  - code: '10007'
                    title: Resource not found
                    detail: Resource not found
            conference_not_found:
              summary: Conference not found
              value:
                errors:
                  - code: '90058'
                    title: Invalid conference_id
                    detail: The conference does not exist.
            audio_file_not_found:
              summary: Audio file not found
              value:
                errors:
                  - code: '10005'
                    title: Audio file not found
                    detail: Provided audio file URL couldn't be found.
            recording_not_found:
              summary: Recording not found
              value:
                errors:
                  - code: '10005'
                    title: Recording not found
                    detail: >-
                      The recording could not be found. Please check the
                      recording_id and try again.
                    source:
                      pointer: /recording_id
    UnprocessableEntityResponse:
      description: >-
        Unprocessable entity. The request was well-formed but could not be
        processed due to semantic errors. This includes validation errors,
        invalid parameter values, call state errors, conference errors, queue
        errors, recording/transcription errors, and business logic violations.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-control_Errors'
          examples:
            missing_required_parameter:
              summary: Missing required parameter
              value:
                errors:
                  - code: '10004'
                    title: Missing required parameter
                    detail: The 'to' parameter is required and cannot be blank.
                    source:
                      pointer: /to
            invalid_call_control_id:
              summary: Invalid call control ID
              value:
                errors:
                  - code: '90015'
                    title: Invalid Call Control ID
                    detail: The call_control_id provided was not valid.
                    source:
                      pointer: /call_control_id
            call_already_ended:
              summary: Call has already ended
              value:
                errors:
                  - code: '90018'
                    title: Call has already ended
                    detail: This call is no longer active and can't receive commands.
            call_not_answered:
              summary: Call not answered yet
              value:
                errors:
                  - code: '90034'
                    title: Call not answered yet
                    detail: >-
                      This call can't receive this command because it has not
                      been answered yet.
            cannot_record_before_audio_started:
              summary: Cannot record before audio started
              value:
                errors:
                  - code: '90020'
                    title: Call recording triggered before audio started
                    detail: >-
                      Call recording cannot be started until audio has commenced
                      on the call.
            transcription_already_active:
              summary: Transcription already active
              value:
                errors:
                  - code: '90054'
                    title: Call transcription is already in progress
                    detail: Call transcription can not be started more than once.
            ai_assistant_already_active:
              summary: AI Assistant already active
              value:
                errors:
                  - code: '90061'
                    title: AI Assistant is already in progress
                    detail: AI Assistant cannot be started more than once.
            conference_already_ended:
              summary: Conference has already ended
              value:
                errors:
                  - code: '90019'
                    title: Conference has already ended
                    detail: >-
                      This conference is no longer active and can't receive
                      commands.
            conference_name_conflict:
              summary: Conference name conflict
              value:
                errors:
                  - code: '90033'
                    title: Unable to execute command
                    detail: Conference with given name already exists and it's active.
            max_participants_reached:
              summary: Maximum participants reached
              value:
                errors:
                  - code: '90032'
                    title: Maximum number of participants reached
                    detail: >-
                      The maximum allowed value of `max_participants` has been
                      reached at 100.
            queue_full:
              summary: Queue is full
              value:
                errors:
                  - code: '90036'
                    title: Queue full
                    detail: The 'support' queue is full and can't accept more calls.
            call_already_in_queue:
              summary: Call already in queue
              value:
                errors:
                  - code: '90038'
                    title: Call already in queue
                    detail: Call can't be added to a queue it's already in.
            invalid_connection_id:
              summary: Invalid connection ID
              value:
                errors:
                  - code: '10015'
                    title: Invalid value for connection_id (Call Control App ID)
                    detail: >-
                      The requested connection_id (Call Control App ID) is
                      either invalid or does not exist. Only Call Control Apps
                      with valid webhook URL are accepted.
                    source:
                      pointer: /connection_id
            invalid_phone_number_format:
              summary: Invalid phone number format
              value:
                errors:
                  - code: '10016'
                    title: Phone number must be in +E164 format
                    detail: The 'to' parameter must be in E164 format.
                    source:
                      pointer: /to
            srtp_not_supported_for_pstn:
              summary: SRTP not supported for PSTN calls
              value:
                errors:
                  - source:
                      pointer: /media_encryption
                    title: Media encryption not supported for PSTN calls
                    detail: SRTP media encryption is not supported for PSTN calls.
                    code: '10011'
            fork_not_found:
              summary: Call is not forked
              value:
                errors:
                  - code: '90031'
                    title: Call is not currently forked
                    detail: >-
                      Can't stop forking, because the call isn't currently
                      forked.
            media_streaming_used:
              summary: Media streaming in use
              value:
                errors:
                  - code: '90045'
                    title: Media Streaming is used
                    detail: This command can't be issued when media streaming is used.
            invalid_enumerated_value:
              summary: Invalid enumerated value
              value:
                errors:
                  - code: '10032'
                    title: Invalid enumerated value
                    detail: 'The value must be one of: dual, single.'
                    source:
                      pointer: /record_channels
            value_outside_range:
              summary: Value outside of range
              value:
                errors:
                  - code: '10033'
                    title: Value outside of range
                    detail: The value is outside of allowed range 1 to 5000
                    source:
                      pointer: /max_participants
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````